%define major		1
%define libname		%mklibname ttspico %{major}
%define develname	%mklibname ttspico -d

Name:		svox-pico
Version:	20220603
Release:	%mkrel 2
License:	Apache License
Group:		Sound/Utilities
Summary:	Text-To-Speech engine from Android project
Summary(fr_FR):	Moteur Text-To-Speech du projet Android
URL:		https://github.com/jpwhiting/svox-pico/
# tarball taken from:
# git clone https://github.com/jpwhiting/svox-pico
# commit: 422a3bb69d5f49f9f791b73d72ea7d8aff78d150
# Memo: cd svox-pico; git archive -o ../svox-pico-%%{version}.tar --prefix=svox-pico%%{version}/ HEAD; xz -9e ../svox-pico-%%{version}.tar
Source0:	%{name}-%{version}.tar.xz
# patches taken from debian:
Patch1:		0001-autoconf-building-of-library-using-libtool.patch
# fix segfault as of bug https://bugs.mageia.org/show_bug.cgi?id=27284
Patch2:		0001-fix-segfault.patch

BuildRequires:	gettext-devel
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	pkgconfig(popt)

%description
Text-To-Speech engine from Android project.

%description -l fr_FR
Moteur Text-To-Speech du projet Android.

#------------------------------------------------

%package -n	%{libname}
Summary:	svox-pico library
Summary(fr_FR):	Librairie svox-pico
Group:		System/Libraries

%description -n	%{libname}
Library for svox-pico.

%description -n	%{libname} -l fr_FR
Librairie pour svox-pico.

#------------------------------------------------

%package -n	%{develname}
Summary:	svox-pico development files
Summary(fr_FR):	Fichiers de développement svox-pico
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files needed by svox-pico.

%description -n	%{develname} -l fr_FR
Fichiers de développement nécessaires à svox-pico.

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libttspico.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libttspico.so
%{_libdir}/pkgconfig/ttspico%{major}.pc


%changelog
* Wed Mar 08 2023 ghibo <ghibo> 20220603-2.mga9
+ Revision: 1948378
- Add patch to fix segfault (bug #27284)

* Wed Mar 08 2023 ghibo <ghibo> 20220603-1.mga9
+ Revision: 1948369
- Switch to another source URL.
- Update major to 1.
- Update to git release 20220703.
- Switch to meson build.

* Thu Mar 17 2022 umeabot <umeabot> 20180214-3.mga9
+ Revision: 1797081
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 20180214-2.mga8
+ Revision: 1526030
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 19 2019 daviddavid <daviddavid> 20180214-1.mga7
+ Revision: 1393389
- new version: 20180214

* Sun Sep 23 2018 umeabot <umeabot> 20160125-4.mga7
+ Revision: 1301255
- Mageia 7 Mass Rebuild

* Sat Sep 10 2016 daviddavid <daviddavid> 20160125-3.mga6
+ Revision: 1051329
- rebuild to regenerate rpms (they were mistakenly replaced with those of Updates_testing)

* Wed Jul 13 2016 daviddavid <daviddavid> 20160125-2.mga6
+ Revision: 1041884
- submit to core/release

* Mon Jul 11 2016 daviddavid <daviddavid> 20160125-1.mga6
+ Revision: 1041094
- update to latest git snapshot: 20160125
- sync patches with debian
- add patch11 to fix build (missing include stdint.h)

* Wed Dec 23 2015 daviddavid <daviddavid> 20120212-1.mga6
+ Revision: 913865
- imported package svox-pico

